Processing: "Run as batch process..." button not shown entirely
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24666

Description

Compared to QGIS 2.18, it looks like the header of the tabs in Processing dialog is thinner, hence the "Run as batch process..." button

label is not correctly rendered.

master 0f83a5f

Associated revisions

Revision a95cbe9d - 2017-07-26 01:45 AM - Nyall Dawson

Move 'Run as batch' button to bottom of algorithm dialog

Inserting it into the tab widget doesn't work well cross

platform/between hidpi/lowdpi displays. So instead add

it as a normal button in the button box.

Also fix capitalization of button text

Fixes #16767

History

#1 - 2017-06-29 05:09 PM - Harrissou Santanna

- File run_batch_withFusion.PNG added

It looks like using another Application style (settings --> Options --> General), namely Fusion (instead of WindowsXp or WindowsVista) gives a better

result but still all the button frame is not shown (trimmed on top).

#2 - 2017-07-26 01:48 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a95cbe9d2f8b39ab4edb24918d95a767d71cf191.

Files

run_batch.PNG 13.5 KB 2017-06-29 Harrissou Santanna

run_batch_withFusion.PNG 18.3 KB 2017-06-29 Harrissou Santanna

2024-04-27 1/1


